## com.imcode.imcms.api
Class SearchQuery

    java.lang.Object
      com.imcode.imcms.api.SearchQuery

Direct Known Subclasses:
  LuceneParsedQuery, LuceneQuery

    public abstract class SearchQuery

extends java.lang.Object

Constructor Summary
`SearchQuery()`

Method Summary
`void` `setLogged(boolean logged)`
`void` `setSort(org.apache.lucene.search.Sort sort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchQuery

    public SearchQuery()

Method Detail

### setSort

    public void setSort(org.apache.lucene.search.Sort sort)

### setLogged

    public void setLogged(boolean logged)